Subject: Re: [PATCH -next] net: i82596: Add __init/__exit annotations to module init/exit funcs

From: Jakub Kicinski <[email-masked]>
Date: Wed, 28 Sep 2022 07:07:34 -0700

On Wed, 28 Sep 2022 11:13:24 +0800 Ruan Jinjie wrote:
> On 2022/9/27 22:52, Jakub Kicinski wrote:
> > On Mon, 26 Sep 2022 19:54:56 +0800 ruanjinjie wrote:  
> >> Add missing __init/__exit annotations to module init/exit funcs  
> > 
> > How many of these do you have? Do you use a tool to find the cases 
> > where the annotations can be used?
> >   
> I think Linux kernel drivers have many of these problems.I use grep
> command to compare all the driver C files and find where the annotations
> can be used.
> 
> > Please read Documentation/process/researcher-guidelines.rst
> > and make sure you comply with what is expected in the commit message.  
> 
> Thank you very much! Some key information is missing from the commit
> message. Should I update the commit message and resubmit the patch?

TBH I don't think this is worth fixing. The functions which will be
discarded are tiny.